Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063667 - [abrt] remmina: xmalloc(): remmina killed by SIGABRT
Summary: [abrt] remmina: xmalloc(): remmina killed by SIGABRT
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8beddb86cfe45a9c53cfe521ec7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 08:31 UTC by smanocch
Modified: 2014-08-18 08:25 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-18 08:25:20 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-11 08:31 UTC, smanocch
no flags Details
File: cgroup (deleted)
2014-02-11 08:31 UTC, smanocch
no flags Details
File: core_backtrace (deleted)
2014-02-11 08:31 UTC, smanocch
no flags Details
File: dso_list (deleted)
2014-02-11 08:31 UTC, smanocch
no flags Details
File: environ (deleted)
2014-02-11 08:31 UTC, smanocch
no flags Details
File: limits (deleted)
2014-02-11 08:31 UTC, smanocch
no flags Details
File: maps (deleted)
2014-02-11 08:31 UTC, smanocch
no flags Details
File: open_fds (deleted)
2014-02-11 08:31 UTC, smanocch
no flags Details
File: proc_pid_status (deleted)
2014-02-11 08:31 UTC, smanocch
no flags Details
File: var_log_messages (deleted)
2014-02-11 08:31 UTC, smanocch
no flags Details

Description smanocch 2014-02-11 08:31:15 UTC
Description of problem:
Remmina connected to a windows machine.
Remmina windows is on second monitor.

Version-Release number of selected component:
remmina-1.0.0-9.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        remmina
crash_function: xmalloc
executable:     /usr/bin/remmina
kernel:         3.12.9-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 xmalloc at /usr/src/debug/freerdp-1.0.2/libfreerdp-utils/memory.c:38
 #7 gdi_Bitmap_Decompress at /usr/src/debug/freerdp-1.0.2/libfreerdp-gdi/graphics.c:97
 #8 update_gdi_cache_bitmap_v2 at /usr/src/debug/freerdp-1.0.2/libfreerdp-cache/bitmap.c:94
 #9 update_recv_secondary_order at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/orders.c:1908
 #10 fastpath_recv_orders at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/fastpath.c:132
 #11 fastpath_recv_update at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/fastpath.c:173
 #12 fastpath_recv_update_data at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/fastpath.c:294
 #13 fastpath_recv_updates at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/fastpath.c:310
 #14 rdp_recv_fastpath_pdu at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:762
 #15 rdp_recv_pdu at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:770

Comment 1 smanocch 2014-02-11 08:31:23 UTC
Created attachment 861711 [details]
File: backtrace

Comment 2 smanocch 2014-02-11 08:31:27 UTC
Created attachment 861712 [details]
File: cgroup

Comment 3 smanocch 2014-02-11 08:31:36 UTC
Created attachment 861713 [details]
File: core_backtrace

Comment 4 smanocch 2014-02-11 08:31:38 UTC
Created attachment 861714 [details]
File: dso_list

Comment 5 smanocch 2014-02-11 08:31:40 UTC
Created attachment 861715 [details]
File: environ

Comment 6 smanocch 2014-02-11 08:31:42 UTC
Created attachment 861716 [details]
File: limits

Comment 7 smanocch 2014-02-11 08:31:44 UTC
Created attachment 861718 [details]
File: maps

Comment 8 smanocch 2014-02-11 08:31:46 UTC
Created attachment 861719 [details]
File: open_fds

Comment 9 smanocch 2014-02-11 08:31:52 UTC
Created attachment 861720 [details]
File: proc_pid_status

Comment 10 smanocch 2014-02-11 08:31:54 UTC
Created attachment 861721 [details]
File: var_log_messages

Comment 11 Christoph Wickert 2014-05-22 11:35:07 UTC
Assigning bug to new package maintainer.

Comment 12 Pavel Alexeev 2014-08-18 08:25:20 UTC
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.


Note You need to log in before you can comment on or make changes to this bug.